Printago API
PATCH
/v1/maintenance/items/{id}
Update maintenance item
Update a maintenance item
Path Parameters
id
required
string
The maintenance item ID
Request Body
PartialPickMaintenanceItemnamecustomMetadatatriggerTypeintervalwarningThresholdPctnotes
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
intervaloptional
number
nameoptional
string
notesoptionalnullable
string
triggerTypeoptional
"print_hours" | "calendar_days" | "job_count"
print_hourscalendar_daysjob_count
warningThresholdPctoptional
number
Example Request
application/json
{
"name": "string",
"customMetadata": {},
"triggerType": "print_hours",
"interval": 1,
"warningThresholdPct": 1,
"notes": "string"
}
Response Schema
MaintenanceItem
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
intervalrequired
number
isSystemDefaultrequired
boolean
namerequired
string
notesrequirednullable
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
triggerTyperequired
"print_hours" | "calendar_days" | "job_count"
print_hourscalendar_daysjob_count
updatedAtrequired
string
format: date-time
warningThresholdPctrequired
number
Example Response
200 OK — application/json
{
"name": "string",
"triggerType": "print_hours",
"interval": 1,
"warningThresholdPct": 1,
"notes": "string",
"isSystemDefault": true,
"customMetadata": {},
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}